--- title: "Update the Performance Monitoring Settings at the Sensor Level" slug: "update-the-performance-monitoring-settings-at-the-sensor-level" tags: ["Reference", "IPS 10.1.10"] updated: 2026-09-23T09:34:39Z published: 2026-09-23T09:34:39Z canonical: "docs.trellix.com/update-the-performance-monitoring-settings-at-the-sensor-level" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.trellix.com/llms.txt > Use this file to discover all available pages before exploring further. # Update the Performance Monitoring Settings at the Sensor Level This URL updates the performance monitoring settings at the Sensor level. ## Resource URL PUT /sensor//performancemonitoring ## Request Parameters URL Parameters: | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | sensorId | Sensor id | Number | Yes | Payload Parameters: | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | inheritSettings | Inherit settings from parent domain | Boolean | Yes | | enableMetricCollection | Enable metric collection | Boolean | Yes | | enableThresholdAnalysis | Enable threshold analysis | Boolean | Yes | | visibleToChildAdminDomain | Settings visible to the child domain | Boolean | Yes | | enableCPUUtilizationMetricCollection | Enable CPU utilization metric collection | Boolean | Yes | | enablePortThroughputUtilizationMetricCollection | Enable port throughput utilization metric collection | Boolean | Yes | | thresholds | List of threshold values | Array | No | | display | Display values | Object | No | Details of object in thresholds: | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | metric | Metric name | String | Yes | | thresholds | List of threshold details | Array | Yes | | thresholdName | Name of the threshold | String | Yes | | thresholdValue | Threshold value | Number | Yes | | resetThresholdValue | Reset threshold value | Number | Yes | | enableAlarm | Alarm enabled or not | Boolean | Yes | Details of display: | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | mediumMemoryUsage | Memory usage value to be shown as medium usage | Number | Yes | | highMemoryUsage | Memory usage value to be shown as high usage | Number | Yes | | mediumDeviceThroughputUsage | Device throughput usage value to be shown as medium usage | Number | Yes | | highDeviceThroughputUsage | Device throughput usage value to be shown as high usage | Number | Yes | ## Response Parameters Following fields are returned if the request parameters are correct, otherwise error details are returned. | Field Name | Description | Data Type | | --- | --- | --- | | status | Set to 1 if the operation was successful. | Number | ## Example **Request** PUT[https:///sdkapi/sensor/1001/performancemonitoring](https://%3CNSM_IP%3E/sdkapi/domain/0/cliauditing) **Payload** ``` { "inheritSettings": false, "enableMetricCollection": true, "enableThresholdAnalysis": true, "visibleToChildAdminDomain": true, "enableCPUUtilizationMetricCollection": true, "enablePortThroughputUtilizationMetricCollection": true, "thresholds": [{ "metric": "CPU Usage", "thresholds": [{ "thresholdName": "High Utilization", "thresholdValue": 92, "resetThresholdValue": 72, "enableAlarm": true }, { "thresholdName": "Medium Utilization", "thresholdValue": 72, "resetThresholdValue": 52, "enableAlarm": true }] }, { "metric": "Sensor Throughput Usage", "thresholds": [{ "thresholdName": "High Utilization", "thresholdValue": 91, "resetThresholdValue": 71, "enableAlarm": false }, { "thresholdName": "Medium Utilization", "thresholdValue": 71, "resetThresholdValue": 51, "enableAlarm": true }, { "thresholdName": "Under Utilization", "thresholdValue": 6, "resetThresholdValue": 11, "enableAlarm": true }] }, { "metric": "L2 Error Drop", "thresholds": [{ "thresholdName": "Too Many L2 Errors", "thresholdValue": 99, "resetThresholdValue": 51, "enableAlarm": true }] }, { "metric": "L3/L4 Error Drop", "thresholds": [{ "thresholdName": "Too Many L3/L4 Errors", "thresholdValue": 1001, "resetThresholdValue": 101, "enableAlarm": true }] }, { "metric": "Memory Usage", "thresholds": [{ "thresholdName": "High Utilization", "thresholdValue": 91, "resetThresholdValue": 71, "enableAlarm": false }, { "thresholdName": "Medium Utilization", "thresholdValue": 71, "resetThresholdValue": 51, "enableAlarm": false }] }], "display": { "mediumMemoryUsage": 76, "highMemoryUsage": 91, "mediumDeviceThroughputUsage": 76, "highDeviceThroughputUsage": 91 } } ``` **Response** ``` { "status": 1 } ```   ## Error Information Following error codes are returned by this URL: | No | HTTP Error Code | SDK API errorId | SDK API errorMessage | | --- | --- | --- | --- | | 1 | 404 | 1106 | Invalid Sensor | | 2 | 500 | 1001 | Internal error | | 3 | 400 | 1111 | Performance monitoring not supported | | 4 | 400 | 1111 | Display parameters should be between 0 and 99 | | 5 | 400 | 1111 | Medium usage parameter should be greater than high usage parameter | | 6 | 400 | 1111 | Threshold values should be greater than 0 | | 7 | 400 | 1111 | Threshold values should be between 1 and 100 | | 8 | 400 | 1111 | In case of rising, the reset threshold value should be less than threshold value | | 9 | 400 | 1111 | In case of falling, the threshold value should be less than reset threshold value |